/* ===================================================================
 * RECHERCHE DANS LE SITE
 * =================================================================*/

#blocRecherche {
    display: none;
    position: absolute;
    top: 0;
    left: ~"calc(50% - 50vw)";
    right: ~"calc(50% - 50vw)";
    height: 400px;
    padding: 1rem 1rem;
    z-index: 10;
    border-radius: 15px;
    box-sizing: border-box;

    .scrolled & {
        height: 100vh;
    }

    &::before {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        background: rgba(0, 0, 0, 0.63);
        top: 0;
        bottom: 0;
    }

    label {
        color: #fff;
    }
}

#btnRechercheClose {
    border: none;
    display: inline-block;
    padding: 1.5rem;

    &::before {
        .fas;
        content: '\f00d';
        font-size: 2rem;
        font-weight: 700;
    }
}


#btnRecherche {
    position: relative;
    width: 48px;
    height: 48px;
    background: @blanc;
    border-radius: 50px;
    border: none;
    padding: 0.8rem;
    margin-left: 10px;
    color: @bleu;
    z-index: 12;
    .tr;

    &::before {
        .fas;
        content: '\f002';
        font-size: 2rem;
        color: @bleu;
    }

    &[aria-expanded='true']::before {
        content: '\f00d';
    }

    @media screen and (max-width: @tablet) {
        width: 48px;
        margin: 1rem 0;
        padding: 0;
        text-align: center;
    }
}

.blocRecherche {
    min-height: 6rem;

    form {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: ~"translate(-50%, -50%)";
        width: 100%;
        padding: 0 2rem;
        box-sizing: border-box;
        max-width: 1400px;
    }

    .innerCenter {
        display: table;
        width: 100%;
        padding: 0;

        &::before, &::after {
            content: none;
        }

        p {
            display: table-cell;
            vertical-align: top;
            margin: 0;

            &:first-of-type {
                width: 100%;
            }
        }

        [name="searchString"] {
            font-family: @police1;
            width: 100%;
            min-height: 6rem;
            padding: 0 3rem;
            border-top-left-radius: 5px;
            border-bottom-left-radius: 5px;
            border: 2px solid transparent;
            background: rgba(255, 255, 255, 0.8);
            color: @texte;

            &::placeholder {
                opacity: 1;
                font-family: @police1;
                font-weight: 400;
            }
        }

        [name="search"] {
            .btnRond;
            float: right;
            width: 6rem;
            height: 6rem;
            border: none;
            border-radius: 0 5px 5px 0;
            background: @bleu_2;
            color: #fff;

            &::before {
                .fas;
                content: '\f002';
                font-size: 2rem;
            }
        }

        @media (max-width: @mobile) {
            display: none;
        }
    }
}